/** \file ortp.h some macros used by ortp_send.c and ortp_recv.c*/
enum ortp_audio_packet_type {ORTP_EOF, ORTP_BOF, ORTP_HEADER, ORTP_DATA};

#define ORTP_AUDIO_HEADER_LEN 10

#define WRITE_PACKET_TYPE(buf, x) (buf)[0] = (unsigned char)((x)&0xff)
#define READ_PACKET_TYPE(buf) (unsigned)(buf)[0]

#define WRITE_CHUNK_TIME(buf, x) (buf)[1] = (unsigned char)((x)&0xff);\
	(buf)[2] = (unsigned char)(((x)>>8)&0xff);\
	(buf)[3] = (unsigned char)(((x)>>16)&0xff);\
	(buf)[4] = (unsigned char)(((x)>>24)&0xff);
#define READ_CHUNK_TIME(buf) (unsigned char)(buf)[1] + \
	((unsigned char)(buf)[2] << 8) + \
	((unsigned char)(buf)[3] << 16) + \
	((unsigned char)(buf)[4] << 24)

#define WRITE_CHUNK_TS(buf, x) (buf)[5] = (unsigned char)((x) & 0xff); \
	(buf)[6] = (unsigned char)(((x >> 8) & 0xff));
#define READ_CHUNK_TS(buf) (unsigned char)(buf)[5] + \
	((unsigned char)(buf)[6] << 8)

#define WRITE_STREAM_TYPE(buf, x) (buf)[7] = (unsigned char)((x)&0xff)
#define READ_STREAM_TYPE(buf) (unsigned)(buf)[7]

#define WRITE_HEADER_LEN(buf, x) (buf)[8] = (unsigned char)((x) & 0xff); \
	(buf)[9] = (unsigned char)(((x >> 8) & 0xff));
#define READ_HEADER_LEN(buf) (unsigned char)(buf)[8] + \
	((unsigned char)(buf)[9] << 8)

